import type { PromiseOrDirect } from "grafast";
import type { DocumentNode, GraphQLSchema } from "graphql";
import { GraphQLError } from "graphql";
import type { HandlerResult, NormalizedRequestDigest, ParsedGraphQLBody, ValidatedGraphQLBody } from "../interfaces.js";
import type { OptionsFromConfig } from "../options.js";
export declare function makeParseAndValidateFunction(schema: GraphQLSchema): (query: string) => {
    document: DocumentNode;
    errors?: undefined;
} | {
    document?: undefined;
    errors: readonly GraphQLError[];
};
export declare const APPLICATION_JSON = "application/json;charset=utf-8";
export declare const APPLICATION_GRAPHQL_RESPONSE_JSON = "application/graphql-response+json;charset=utf-8";
export declare const TEXT_HTML = "text/html;charset=utf-8";
export declare function validateGraphQLBody(parsed: ParsedGraphQLBody): ValidatedGraphQLBody;
export declare const makeGraphQLHandler: (resolvedPreset: GraphileConfig.ResolvedPreset, dynamicOptions: OptionsFromConfig, schemaOrPromise: PromiseOrDirect<GraphQLSchema> | null) => (request: NormalizedRequestDigest, graphiqlHandler?: ((request: NormalizedRequestDigest) => Promise<HandlerResult | null>) | undefined) => Promise<HandlerResult | null>;
//# sourceMappingURL=graphql.d.ts.map